﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AutoCompleteOpenWithDropDownButton
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			var items = new ObservableCollection<object>();
			for (int i = 0; i < 100; i++)
			{
				items.Add(new { Id = i, Name = i + " item" });
			}
			this.RadAutoCompleteBox.ItemsSource = items;
		}

		private void RadButton_Click_1(object sender, RoutedEventArgs e)
		{
			//This is due to an issue into the Q3 2012 release. It will be fixed in Q1 2013 so this line won't be required.
			this.RadAutoCompleteBox.IsDropDownOpen = false;

			this.RadAutoCompleteBox.Focus();
			this.RadAutoCompleteBox.Populate(this.RadAutoCompleteBox.SearchText);
		}
	}
}
